import os
# from log import Log
# log_ = Log()

class BaseConfig(object):
    # 产品标识
    APP_TYPE = {
        'VLOG': 0,  # vlog
        'LOVE_LIVE': 4,  # 票圈视频
        'LONG_VIDEO': 5,  # 内容精选
        'SHORT_VIDEO': 6,  # 票圈短视频
        'WAN_NENG_VIDEO': 17,  # 万能影视屋
        'LAO_HAO_KAN_VIDEO': 18,  # 老好看视频
        'ZUI_JING_QI': 19,  # 票圈最惊奇
        'APP': 13,  # 票圈视频APP
        'PIAO_QUAN_VIDEO_PLUS': 21,  # 票圈视频+
        'JOURNEY': 22,  # 票圈足迹
        'BLESSING_YEAR': 3,  # 票圈福年
    }
    # ODPS服务配置
    ODPS_CONFIG = {
        'ENDPOINT': 'http://service.cn.maxcompute.aliyun.com/api',
        'ACCESSID': 'LTAIWYUujJAm7CbH',
        'ACCESSKEY': 'RfSjdiWwED1sGFlsjXv0DlfTnZTG1P',
    }
    
    # 日志服务配置
    ALIYUN_LOG = {
        'ENDPOINT': 'cn-hangzhou-intranet.log.aliyuncs.com',
        'ACCESSID': 'LTAIWYUujJAm7CbH',
        'ACCESSKEY': 'RfSjdiWwED1sGFlsjXv0DlfTnZTG1P',
        'PROJECT': 'rov-server',
    }
  
    REDIS_INFO = {
        'host': 'r-bp1fogs2mflr1ybfot.redis.rds.aliyuncs.com',
        'port': 6379,
        'password': 'Wqsd@2019',
    }
 
    # 小年糕视频redis存储key
    XNG_KEY_NAME = 'xng:videos'
    # 特殊地区屏蔽危险视频redis存储key
    SPECIAL_AREA_LIMIT_KEY_NAME = 'special:area:limit:videos'
    #24 hour update 
    PROJECT_REGION_APP_TYPE = 'loghubods'
    TABLE_REGION_APP_TYPE = 'video_each_hour_update_province_apptype'
    
    CITY_CODE = {
        '广州': '440100', '深圳': '440300', '成都': '510100', '长沙': '430100',
    }
    DATA_PARAMS = {
        'data1': {APP_TYPE['VLOG']: 0},  # vlog
        'data2': {APP_TYPE['VLOG']: 0.5, APP_TYPE['LONG_VIDEO']: 0.5},  # [vlog, 内容精选]
        'data3': {APP_TYPE['VLOG']: 0.5, APP_TYPE['LOVE_LIVE']: 0.5},  # [vlog, 票圈视频]
        'data4': {APP_TYPE['VLOG']: 0.5, APP_TYPE['SHORT_VIDEO']: 0.5},  # [vlog, 票圈短视频]
        # 'data5': [APP_TYPE['VLOG'], APP_TYPE['ZUI_JING_QI']],  # [vlog, 最惊奇]
        'data6': {APP_TYPE['VLOG']: 0.25, APP_TYPE['LOVE_LIVE']: 0.25, APP_TYPE['SHORT_VIDEO']: 0.25,
                  APP_TYPE['LONG_VIDEO']: 0.25},
        'data7': {APP_TYPE['VLOG']: 0.5, APP_TYPE['APP']: 0.5},  # [vlog, 票圈视频APP]
        'data8': {APP_TYPE['VLOG']: 0.7, APP_TYPE['LONG_VIDEO']: 0.3},  # [vlog, 内容精选]
        'data9': {APP_TYPE['VLOG']: 0.3, APP_TYPE['LONG_VIDEO']: 0.7},  # [vlog, 内容精选]
        'data10': {APP_TYPE['VLOG']: 0.2, APP_TYPE['LOVE_LIVE']: 0.8},  # [vlog, 票圈视频]
        'data11': {APP_TYPE['VLOG']: 0.3, APP_TYPE['LOVE_LIVE']: 0.7},  # [vlog, 票圈视频]
        'data12': {APP_TYPE['VLOG']: 0.4, APP_TYPE['SHORT_VIDEO']: 0.6},  # [vlog, 票圈短视频]
        'data13': {APP_TYPE['VLOG']: 0.3, APP_TYPE['SHORT_VIDEO']: 0.7},  # [vlog, 票圈短视频]
        'data14': {APP_TYPE['VLOG']: 0.78, APP_TYPE['LOVE_LIVE']: 0.11, APP_TYPE['SHORT_VIDEO']: 0.08,
                   APP_TYPE['LONG_VIDEO']: 0.03},

    }

    REGION_CODE = {
        '北京': '110000', '天津': '120000', '河北省': '130000', '山西省': '140000', '内蒙古': '150000',
        '辽宁省': '210000', '吉林省': '220000', '黑龙江省': '230000',
        '上海': '310000', '江苏省': '320000', '浙江省': '330000', '安徽省': '340000', '福建省': '350000', '江西省': '360000', '山东省': '370000',
        '河南省': '410000', '湖北省': '420000', '湖南省': '430000', '广东省': '440000', '广西': '450000', '海南省': '460000',
        '重庆': '500000',  '四川省': '510000', '贵州省': '520000', '云南省': '530000', '西藏': '540000',
        '陕西省': '610000', '甘肃省': '620000', '青海省': '630000', '宁夏': '640000', '新疆': '650000',
        '台湾省': '710000', '香港': '810000', '澳门': '820000',
        'None': '-1'
    } 
     # 屏蔽视频配置实验组
    SHIELD_CONFIG2 = {
        REGION_CODE['北京']: [XNG_KEY_NAME, SPECIAL_AREA_LIMIT_KEY_NAME, ],
        REGION_CODE['None']: [SPECIAL_AREA_LIMIT_KEY_NAME, XNG_KEY_NAME, ],
        CITY_CODE['广州']: [SPECIAL_AREA_LIMIT_KEY_NAME, ],
        CITY_CODE['深圳']: [SPECIAL_AREA_LIMIT_KEY_NAME, ],
        CITY_CODE['成都']: [SPECIAL_AREA_LIMIT_KEY_NAME, ],
        CITY_CODE['长沙']: [SPECIAL_AREA_LIMIT_KEY_NAME, ],
    }
 
    RULE_PARAMS_REGION_APP_TYPE_48H = {
        'rule_params': {
            'rule5': {'view_type': 'video-show-region', 'platform_return_rate': 0.001,
                      'region_24h_rule_key': 'rule2', '48h_rule_key': 'rule1'},
        },
        'data_params': {
            'data1': [APP_TYPE['VLOG'], ],
        },
        'params_list': [
            {'data': 'data1', 'rule': 'rule5'},
        ],
    }
    
     # 地域分组小时级规则参数
    RULE_PARAMS_REGION_APP_TYPE = {
        'rule_params': {
            # 'rule2': {'view_type': 'video-show', 'platform_return_rate': 0.001, 'region_24h_rule_key': 'rule2'},
            # 'rule3': {'view_type': 'video-show-region', 'platform_return_rate': 0.001,
            #           'region_24h_rule_key': 'rule2', '24h_rule_key': 'rule2'},
            'rule4': {'view_type': 'video-show-region', 'platform_return_rate': 0.001,
                      'region_24h_rule_key': 'rule2', '24h_rule_key': 'rule3'},
            # 涉政视频过滤
            'rule4-1': {'view_type': 'video-show-region', 'platform_return_rate': 0.001,
                        'region_24h_rule_key': 'rule2', '24h_rule_key': 'rule3', 'political_filter': True},
            # 特殊地域屏蔽危险视频
            'rule4-2': {'view_type': 'video-show-region', 'platform_return_rate': 0.001,
                        'region_24h_rule_key': 'rule2', '24h_rule_key': 'rule3', 'shield_config': SHIELD_CONFIG2},

            # 'rule6': {'view_type': 'preview', 'platform_return_rate': 0.001,
            #           'region_24h_rule_key': 'rule3', '24h_rule_key': 'rule2'},
            'rule7': {'view_type': 'video-show-region', 'platform_return_rate': 0.001,
                      'region_24h_rule_key': 'rule4', '24h_rule_key': 'rule4', 'merge_func': 2},
            'rule7-1': {'view_type': 'video-show-region', 'platform_return_rate': 0.001,
                        'region_24h_rule_key': 'rule4', '24h_rule_key': 'rule4', 'merge_func': 2,
                        'political_filter': True},
            'rule8': {'view_type': 'preview', 'platform_return_rate': 0.001,
                      'region_24h_rule_key': 'rule5', '24h_rule_key': 'rule4', 'merge_func': 2},
            # 'rule9': {'view_type': 'video-show-region', 'platform_return_rate': 0.001,
            #           'region_24h_rule_key': 'rule2', '24h_rule_key': 'rule3', '30day_rule_key': 'rule1'},
            # # 无回流人群
            # 'rule10': {'view_type': 'video-show-region', 'platform_return_rate': 0.001,
            #            'region_24h_rule_key': 'rule6', '24h_rule_key': 'rule5', 'click_score_rate': 0.7},
            # 'rule13': {'view_type': 'video-show-region', 'platform_return_rate': 0.001,
            #            'region_24h_rule_key': 'rule8', '24h_rule_key': 'rule7', 'click_score_rate': 0.8},
            # # 有回流人群
            # 'rule11': {'view_type': 'video-show-region', 'platform_return_rate': 0.001,
            #            'region_24h_rule_key': 'rule7', '24h_rule_key': 'rule6', 'back_score_rate': 0.7},
            # 'rule14': {'view_type': 'video-show-region', 'platform_return_rate': 0.001,
            #            'region_24h_rule_key': 'rule9', '24h_rule_key': 'rule8', 'back_score_rate': 0.8},
            # # 20点地域小时级列表中增加7点-19点地域小时级的优质视频
            # 'rule12': {'view_type': 'video-show-region', 'platform_return_rate': 0.001,
            #            'region_24h_rule_key': 'rule2', '24h_rule_key': 'rule3', 'add_videos_in_20h': True},

            # 地域小时级列表中增加 前6小时 地域小时级的优质视频
            'rule15': {'view_type': 'video-show-region', 'platform_return_rate': 0.001,
                       'region_24h_rule_key': 'rule2', '24h_rule_key': 'rule3',
                       'add_videos_with_pre_h': True, 'hour_count': 6},
            # 地域小时级列表中增加 前2小时 地域小时级的优质视频，排序优化1：半小时级列表中有的视频以本小时的分数为准
            'rule16': {'view_type': 'video-show-region', 'platform_return_rate': 0.001,
                       'region_24h_rule_key': 'rule2', '24h_rule_key': 'rule3',
                       'add_videos_with_pre_h': True, 'hour_count': 2, 'add_func': 'func2'},
            # 地域小时级列表中增加 前47小时 地域小时级的优质视频
            'rule17': {'view_type': 'video-show-region', 'platform_return_rate': 0.001,
                       'region_24h_rule_key': 'rule2', '24h_rule_key': 'rule3',
                       'add_videos_with_pre_h': True, 'hour_count': 47},
            # 地域小时级列表中增加 前3小时 地域小时级的优质视频，排序优化1：半小时级列表中有的视频以本小时的分数为准
            'rule18': {'view_type': 'video-show-region', 'platform_return_rate': 0.001,
                       'region_24h_rule_key': 'rule2', '24h_rule_key': 'rule3',
                       'add_videos_with_pre_h': True, 'hour_count': 3, 'add_func': 'func2'},

        },
        'data_params': DATA_PARAMS,
        'params_list': [
            {'data': 'data1', 'rule': 'rule4'},  # 095 vlog
            {'data': 'data1', 'rule': 'rule4-1'},  # 095-1
            {'data': 'data1', 'rule': 'rule4-2'},  # 262 特殊地域屏蔽危险视频
            # {'data': 'data2', 'rule': 'rule4'},
            {'data': 'data2', 'rule': 'rule7-1'},  # 121 内容精选
            # {'data': 'data3', 'rule': 'rule7'},
            # {'data': 'data4', 'rule': 'rule7'},
            # {'data': 'data6', 'rule': 'rule7'},
            {'data': 'data7', 'rule': 'rule8'},  # 票圈视频APP 10003.110156
            # {'data': 'data1', 'rule': 'rule9'},
            # {'data': 'data1', 'rule': 'rule10'},
            # {'data': 'data1', 'rule': 'rule11'},
            # {'data': 'data8', 'rule': 'rule7'},
            # {'data': 'data9', 'rule': 'rule7'},
            {'data': 'data10', 'rule': 'rule7'},  # 144 票圈视频
            # {'data': 'data11', 'rule': 'rule7'},
            # {'data': 'data12', 'rule': 'rule7'},
            # {'data': 'data13', 'rule': 'rule7'},
            # {'data': 'data1', 'rule': 'rule12'},
            # {'data': 'data14', 'rule': 'rule7'},  # 159
            # {'data': 'data1', 'rule': 'rule13'},  # 161
            # {'data': 'data1', 'rule': 'rule14'},  # 162
            # {'data': 'data1', 'rule': 'rule15'},  # 200 vlog
            # {'data': 'data1', 'rule': 'rule16'},  # 214 vlog
            # {'data': 'data1', 'rule': 'rule17'},  # 215 vlog
            # {'data': 'data1', 'rule': 'rule18'},  # 224 vlog
        ],
    }

class TestConfig(BaseConfig):
    """测试环境配置"""
    # 报警内容 环境区分
    ENV_TEXT = "测试环境"
    # 项目存放目录
    PROJECT_PATH = '/data2/rov-offline'

    # 测试环境redis地址
    REDIS_INFO = {
        'host': 'r-bp1ps6my7lzg8rdhwx682.redis.rds.aliyuncs.com',
        'port': 6379,
        'password': 'Wqsd@2019',
    }

    # Hologres连接参数，服务器使用
    HOLOGRES_INFO = {
        'host': 'hgprecn-cn-7pp28y18c00c-cn-hangzhou-vpc.hologres.aliyuncs.com',
        'port': 80,
        'dbname': 'dssm',
        'user': 'LTAI5tMPqPy9yboQAf1mBCCN',
        'password': '4BEcOgxREOPq7t3A7EWkjciVULeQGj'
    }

    # 测试环境mysql地址
    MYSQL_INFO = {
        'host': 'rm-bp1k5853td1r25g3n690.mysql.rds.aliyuncs.com',
        'port': 3306,
        'user': 'wx2016_longvideo',
        'password': 'wx2016_longvideoP@assword1234',
        'db': 'longvideo',
        'charset': 'utf8'
    }

    # 测试环境 过滤用mysql地址
    FILTER_MYSQL_INFO = {
        'host': 'am-bp1g3ys9u00u483uc131930.ads.aliyuncs.com',
        'port': 3306,
        'user': 'lv_manager',
        'password': 'lv_manager@2020',
        'db': 'longvideo',
        'charset': 'utf8'
    }

    # 日志服务配置
    ALIYUN_LOG = {
        'ENDPOINT': 'cn-hangzhou.log.aliyuncs.com',
        'ACCESSID': 'LTAIWYUujJAm7CbH',
        'ACCESSKEY': 'RfSjdiWwED1sGFlsjXv0DlfTnZTG1P',
        'PROJECT': 'rov-server-test',
    }

    # Hologres视频状态存储表名
    VIDEO_STATUS = 'longvideo_test.dwd_mdm_item_video_stat'

    # 快速曝光流量池ID
    QUICK_FLOW_POOL_ID = 3

    # 获取流量池分发配置接口地址
    GET_FLOW_POOL_RECOMMEND_CONFIG_URL = 'http://videotest-internal.yishihui.com/longvideoapi/openapi/recommend/getConfig'
    # 从流量池获取视频接口地址
    GET_VIDEOS_FROM_POOL_URL = 'http://testapi-internal.piaoquantv.com/flowpool/video/getAllVideo'
    # 获取视频在流量池中的剩余可分发数接口地址
    GET_REMAIN_VIEW_COUNT_URL = 'http://testapi-internal.piaoquantv.com/flowpool/video/remainViewCount'
    # 计算完ROV通知后端接口地址
    NOTIFY_BACKEND_UPDATE_ROV_SCORE_URL = 'http://videotest-internal.yishihui.com/longvideoapi/openapi/recommend/updateRovScore'
    # 获取置顶视频列表接口地址
    TOP_VIDEO_LIST_URL = 'http://videotest-internal.yishihui.com/longvideoapi/openapi/recommend/topVideoList'
    # 获取首页兜底视频json接口地址
    BOTTOM_JSON_URL = 'http://videotest-internal.yishihui.com/longvideoapi/openapi/video/distribute/structure/video/list'
    # 通知后端更新兜底视频接口地址
    NOTIFY_BACKEND_updateFallBackVideoList_URL = 'http://videotest-internal.yishihui.com/longvideoapi/openapi/recommend/updateFallBackVideoList'
    # 获取限流视频接口地址
    GET_VIDEO_LIMIT_LIST_URL = 'http://videotest-internal.yishihui.com/longvideoapi/openapi/recommend/getVideoLimitList'
    # 获取管理后台设置的广告目标uv值接口地址
    GET_AD_TARGET_UV_URL = 'https://testadmin.piaoquantv.com/manager/ad/algo/threshold/productUvTargetList'

    # # logs 上传oss 目标Bucket指定目录
    # OSS_FOLDER_LOGS = 'rov-offline/test/logs/'
    # # data 上传oss 目标Bucket指定目录
    # OSS_FOLDER_DATA = 'rov-offline/test/data/'

class ProductionConfig(BaseConfig):
    """生产环境配置"""
    # 报警内容 环境区分
    ENV_TEXT = "生产环境"
    # 项目存放目录
    PROJECT_PATH = '/data/rov-offline'

    # 线上环境redis地址
    REDIS_INFO = {
        'host': 'r-bp1fogs2mflr1ybfot.redis.rds.aliyuncs.com',
        'port': 6379,
        'password': 'Wqsd@2019',
    }

    # Hologres连接参数，服务器使用
    HOLOGRES_INFO = {
        'host': 'hgprecn-cn-7pp28y18c00c-cn-hangzhou-vpc.hologres.aliyuncs.com',
        'port': 80,
        'dbname': 'dssm',
        'user': 'LTAI5tMPqPy9yboQAf1mBCCN',
        'password': '4BEcOgxREOPq7t3A7EWkjciVULeQGj'
    }

    # 生产环境mysql地址
    MYSQL_INFO = {
        'host': 'rr-bp1x9785e8h5452bi157.mysql.rds.aliyuncs.com',
        'port': 3306,
        'user': 'wx2016_longvideo',
        'password': 'wx2016_longvideoP@assword1234',
        'db': 'longvideo',
        'charset': 'utf8'
    }

    # 生产环境 过滤用mysql地址
    FILTER_MYSQL_INFO = {
        'host': 'am-bp15tqt957i3b3sgi131950.ads.aliyuncs.com',
        'port': 3306,
        'user': 'lv_manager',
        'password': 'lv_manager@2020',
        'db': 'longvideo',
        'charset': 'utf8'
    }

    # 日志服务配置
    ALIYUN_LOG = {
        'ENDPOINT': 'cn-hangzhou.log.aliyuncs.com',
        'ACCESSID': 'LTAIWYUujJAm7CbH',
        'ACCESSKEY': 'RfSjdiWwED1sGFlsjXv0DlfTnZTG1P',
        'PROJECT': 'rov-server',
    }

    # Hologres视频状态存储表名
    VIDEO_STATUS = 'longvideo.dwd_mdm_item_video_stat'

    # 快速曝光流量池ID
    QUICK_FLOW_POOL_ID = 3

    # 获取流量池分发配置接口地址
    GET_FLOW_POOL_RECOMMEND_CONFIG_URL = 'http://recommend-common-internal.piaoquantv.com/longvideoapi/openapi/recommend/getConfig'
    # 从流量池获取视频接口地址
    GET_VIDEOS_FROM_POOL_URL = 'http://api-internal.piaoquantv.com/flowpool/video/getAllVideo'
    # 获取视频在流量池中的剩余可分发数接口地址
    GET_REMAIN_VIEW_COUNT_URL = 'http://api-internal.piaoquantv.com/flowpool/video/remainViewCount'
    # 计算完ROV通知后端接口地址
    NOTIFY_BACKEND_UPDATE_ROV_SCORE_URL = 'http://recommend-common-internal.piaoquantv.com/longvideoapi/openapi/recommend/updateRovScore'
    # 获取置顶视频列表接口地址
    TOP_VIDEO_LIST_URL = 'http://recommend-common-internal.piaoquantv.com/longvideoapi/openapi/recommend/topVideoList'
    # 获取首页兜底视频json接口地址
    BOTTOM_JSON_URL = 'http://recommend-common-internal.piaoquantv.com/longvideoapi/openapi/video/distribute/structure/video/list'
    # 通知后端更新兜底视频接口地址
    NOTIFY_BACKEND_updateFallBackVideoList_URL = 'http://recommend-common-internal.piaoquantv.com/longvideoapi/openapi/recommend/updateFallBackVideoList'
    # 获取限流视频接口地址
    GET_VIDEO_LIMIT_LIST_URL = 'http://recommend-common-internal.piaoquantv.com/longvideoapi/openapi/recommend/getVideoLimitList'
    # 获取管理后台设置的广告目标uv值接口地址
    GET_AD_TARGET_UV_URL = 'https://admin.piaoquantv.com/manager/ad/algo/threshold/productUvTargetList'

    # # logs 上传oss 目标Bucket指定目录
    # OSS_FOLDER_LOGS = 'rov-offline/pro/logs/'
    # # data 上传oss 目标Bucket指定目录
    # OSS_FOLDER_DATA = 'rov-offline/pro/data/'

def set_config():
    # 获取环境变量 ROV_OFFLINE_ENV
    env = os.environ.get('Base_ENV')
    return ProductionConfig()


