#coding utf-8
import sys
from operator import itemgetter
import json
import pandas as pd
from db_help import RedisHelper

if __name__=="__main__":
    #1.load data
    nowdate=sys.argv[1]
    vlog='0'
    love_live = 4
    data_path = "./data/return_good_video_"+nowdate
    f = open(data_path)
    #data = pd.read_csv(data_path, encoding="utf-8", sep='\t')
    #print(data)
    index = 0
    data_dict = {}
    video_list = []
    redis_helper = RedisHelper()
    while True:
        line = f.readline()
        if not line:
            break
        if index==0:
            index += 1
            continue
        index +=1
        items = line.strip().split("\t")
        if len(items)<4:
            continue
        vid = int(items[0])
        return_times = int(items[1])
        return_users = int(items[2])
        rov = float(items[3])
        video_list.append((vid,rov,return_times, return_users))
        #print(items)
    video_list = sorted(video_list , key=lambda tup: tup[1], reverse=True)
    f1 = open("./data/hot_good_recall_"+nowdate, 'w') 
    #sorted_v = sorted(info_dict.items(), key=lambda s:s[1][1], reverse=True) 
    print("sorted_v:", video_list[:50])
    recall_name = "hot_video:"
    if len(video_list)>0:
        score_info = json.dumps(video_list[:50])
        print("score_info:", score_info)
        redis_helper.set_data_to_redis(recall_name, score_info, 60*60*24*7)
        f1.write(recall_name+"\t"+score_info+"\n")
    f1.close()
    #info_dict[k] = score_info
    #f.write(k+"\t"+score_info+"\n")
    #redis_helper.update_batch_setnx_key(info_dict, 60*60*24*15) 
    #f.close()

     
