#!/bin/bash
source ~/.bash_profile
source ~/.bashrc

#conda activate python36 
cd /data/rec_project/OffLineRec
#cd /home/rec/project/git_project/OffLineRec 
#cd /data/rec_project/OffLineRec
#1. download data
nowday=`date  +"%Y%m%d%H" -d -1hours`
echo ${nowday} 
#exit
#nowday='2023052413'
#3.import res
mkdir -p ./data/

python export_3_day.py  ${nowday}
if [ $? -ne 0 ];
then
    msg = "[ERROR] export_3_day.py"
    #sh sendmsg.sh  $nowday  $msg
    echo "[ERROR] export_3_day.py"
    exit 255
fi
#python export_7_day.py ${nowday}
if [ $? -ne 0 ];
then
    msg = "[ERROR] export_7_day.py"
    #sh sendmsg.sh  $nowday  $msg
    echo "[ERROR] echo export_7_day.py"
    exit 255
fi
python export_hour_vid.py ${nowday}
if [ $? -ne 0 ];
then
    msg = "[ERROR] export_7_day.py"
    sh sendmsg.sh  $nowday  $msg
    echo "[ERROR] echo export_7_day.py"
    exit 255
fi


python calHourData.py ${nowday}
if [ $? -ne 0 ];
then
    msg = "[ERROR] export_hour_data.py"
    sh sendmsg.sh  $nowday  $msg
    echo "[ERROR] echo export_7_day.py"
    exit 255
fi


python calCtr1days.py ${nowday}
if [ $? -ne 0 ];
then
    msg = "[ERROR] export_1_day.py"
    sh sendmsg.sh  $nowday  $msg
    echo "[ERROR] echo export_7_day.py"
    exit 255
fi

python calCtr3days.py ${nowday}
if [ $? -ne 0 ];
then
    msg = "[ERROR] cal3ctr "
    sh sendmsg.sh  $nowday  $msg
    echo "[ERROR] echo 'cal3days"
    exit 255
fi

#python calCtr7days.py ${nowday}
if [ $? -ne 0 ];
then
    msg = "[ERROR] cal 7 day ctr "
    #sh sendmsg.sh  $nowday  $msg
    echo "[ERROR] echo 'calCtr.py"
    exit 255
fi
python compose_score_3day.py ${nowday}
#python get3HotRecall.py ${nowday} 
if [ $? -ne 0 ];
then
    msg = "[ERROR] cal  3 hot "
    #sh sendmsg.sh  $nowday  $msg
    echo "[ERROR] echo 'calCtr.py"
    exit 255
fi
python get3HotRecall.py ${nowday}

#python get7HotRecall.py ${nowday}


echo "finish sorted"


