#coding utf-8
import sys
import json
from db_help import RedisHelper

if __name__=="__main__":
    nowdate = sys.argv[1]
    f1 = open("./data/sorted_type_hour_data_"+nowdate)
    f2 = open("./data/sorted_type_data_"+nowdate)
    data_dict = {}
    while True:
        line = f1.readline()
        if not line:
            break
        items = line.strip().split("\t")
        if len(items)<3:
            continue
        kid = items[0]+"\t"+items[1]
        #print(items[1])
        item_info = json.loads(items[2])
        data_dict[kid] = item_info
    f1.close()
    f3 = open("./data/merge_type_score_"+nowdate, 'w')
    info_dict = {}
    info_dict2 = {}
    while True:
        line = f2.readline()
        if not line:
            break
        items = line.split("\t")
        if len(items)<3:
            continue
        kid = items[0]+"\t"+items[1]
        #kid2 = "k_p2:"+kid
        #kid3 = "k_p4:"+kid
        #print(kid)
        d_item_info = json.loads(items[2])
        if kid in data_dict:
            item_info = data_dict[kid]
            total_info = []
            for i in range(len(item_info)):
                total_info.append(item_info[i]+d_item_info[i])
            info_dict[kid] = total_info
        else:
            total_info = []
            for i in range(len(d_item_info)):
                total_info.append(d_item_info[i])
            info_dict[kid] = total_info
    #print(info_dict)
    redis_dict = {}
    for k, v in info_dict.items():
        items = k.split("\t")
        if len(items)<2:
            continue
        app_type = items[0]
        vid = items[1]
        rov = v[0]
        if app_type!="4":
            continue
        v_log_k = "0"+"\t"+vid
        #print(v_log_k)
        v_log_rov = 0.0
        if v_log_k in info_dict:
            v_log_rov = info_dict[v_log_k][0]
            print(v_log_rov)
        compose_rov = float(rov)+ 0.1*float(v_log_rov)
        redis_key="k_p5:"+vid
        score_arr = [compose_rov, rov, v_log_rov]
        #score_arr.append((compose_rov, rov, v_log_rov))
        redis_dict[redis_key] = json.dumps(score_arr)
        f3.write(str(vid)+"\t"+json.dumps(score_arr)+"\n")
    print(redis_dict)     
    if len(redis_dict)>0:
        redis_helper = RedisHelper()
        redis_helper.update_batch_setnx_key(redis_dict, 60*60*24*1) 
    #if len(info_dict2)>0:
    #    redis_helper = RedisHelper()
    #    redis_helper.update_batch_setnx_key(info_dict2, 60*60*24*3)
    f2.close()
