#!/bin/bash
source ~/.bash_profile
source ~/.bashrc

#conda activate python36 
cd /data/rec_project/OffLineRec
#cd /home/rec/project/git_project/OffLineRec 
#cd /data/rec_project/OffLineRec
#1. download data
nowday=`date  +"%Y%m%d%H" -d -0days`
echo ${nowday} 
nowday='2023060410'
#3.import res
mkdir -p ./data/

#python export_vid.py  ${nowday}
if [ $? -ne 0 ];
then
    msg = "[ERROR] sorted extract_vid_log"
    sh sendmsg.sh  $nowday  $msg
    echo "[ERROR] echo 'extract_vid.py"
    exit 255
fi
#python export_hour_vid.py ${nowday}
if [ $? -ne 0 ];
then
    msg = "[ERROR] sorted extract_hour_log"
    sh sendmsg.sh  $nowday  $msg
    echo "[ERROR] echo 'extract_hour_vid.py"
    exit 255
fi


python calCtr.py ${nowday}
if [ $? -ne 0 ];
then
    msg = "[ERROR] cal  ctr "
    sh sendmsg.sh  $nowday  $msg
    echo "[ERROR] echo 'calCtr.py"
    exit 255
fi

python calHourCtr.py ${nowday}
if [ $? -ne 0 ];
then
    msg = "[ERROR] cal hour ctr "
    sh sendmsg.sh  $nowday  $msg
    echo "[ERROR] echo 'calCtr.py"
    exit 255
fi
python compose_score2.py ${nowday}
if [ $? -ne 0 ];
then
    msg = "[ERROR] cal compose_score "
    sh sendmsg.sh  $nowday  $msg
    echo "[ERROR] echo 'compose_score.py"
    exit 255
fi

sh clean.sh
echo "finish sorted"


